LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 12-30-2002, 01:54 AM   #1
fredward
LQ Newbie
 
Registered: Dec 2002
Posts: 2

Rep: Reputation: 0
openssh-3.6p1 configure zlib error


Hello

I run a more or less OOB install of Red Hat 8.0
I have the tarball of openssh-3.5p1

While trying to run ./configure

checking for defalte in -lz... no
configure: error: *** zlib missing - please install first or check config.log ***

I already have zlib1.1-4 installed, I tried to reinstall the rpm and it said the package was installed
I can't uninstall the rpm due to the fact it has alot of dependencies

Any suggestions would be greatly appreciated
 
Old 12-30-2002, 02:24 AM   #2
niknah
Member
 
Registered: Dec 2002
Location: In front of a computer
Distribution: UPS, DHL, FedEx
Posts: 466

Rep: Reputation: 38
you may need to install zlib-devel also
 
Old 12-30-2002, 03:08 PM   #3
fredward
LQ Newbie
 
Registered: Dec 2002
Posts: 2

Original Poster
Rep: Reputation: 0
It says zlib-devel-1.1.4-4.i386.rpm cannot be installed
 
Old 12-30-2002, 06:40 PM   #4
niknah
Member
 
Registered: Dec 2002
Location: In front of a computer
Distribution: UPS, DHL, FedEx
Posts: 466

Rep: Reputation: 38
does it give you a reason?

anyways, if you want to force it to install, use this...
rpm -U --force --nodeps zlib-devel-1.1.4-4.i386.rpm
 
Old 04-27-2007, 08:14 AM   #5
jevin
LQ Newbie
 
Registered: Apr 2007
Location: Arouca, Trinidad
Distribution: Fedora core 6/Ubuntu
Posts: 14

Rep: Reputation: 0
Thumbs up

Quote:
Originally Posted by niknah
you may need to install zlib-devel also
this worked thanks.
 
Old 12-22-2008, 05:44 AM   #6
madhava_kulkarni1986
LQ Newbie
 
Registered: Dec 2008
Posts: 11

Rep: Reputation: 0
Wink re::

Quote:
Originally Posted by fredward View Post
Hello

I run a more or less OOB install of Red Hat 8.0
I have the tarball of openssh-3.5p1

While trying to run ./configure

checking for defalte in -lz... no
configure: error: *** zlib missing - please install first or check config.log ***

I already have zlib1.1-4 installed, I tried to reinstall the rpm and it said the package was installed
I can't uninstall the rpm due to the fact it has alot of dependencies

Any suggestions would be greatly appreciated
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
use --with-zlib=path to the .h file [/usr/include] or the library in /usr/lib
-or-
set CPPFLAGS="-I/usr/include"
i had got the same error..
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
zlib not found when running ./configure quordandis Linux - Software 9 11-28-2010 07:51 AM
zlib error jurp5 Linux From Scratch 2 12-21-2005 05:33 PM
xine configure error zlib does exist degraffenried13 Linux - General 2 12-13-2004 04:51 AM
Trying to run Nicotine, ZLib error ragingtarrasque Linux - Software 0 08-05-2004 02:08 PM
Trying to run nicotine, zlib error ragingtarrasque Linux - Software 0 08-05-2004 01:01 AM


All times are GMT -5. The time now is 01:46 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration